Bug 137852 - Config. problem on Soyo P4X400 Dragen Ultra System
Config. problem on Soyo P4X400 Dragen Ultra System
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-02 02:28 EST by Fritz Mockler
Modified: 2015-01-04 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:32:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
from 'Xorg -configure' (2.65 KB, text/plain)
2004-11-03 02:02 EST, Fritz Mockler
no flags Details
left over from auto configuration (2.75 KB, text/plain)
2004-11-03 02:03 EST, Fritz Mockler
no flags Details
Per Comment # 5 (2.68 KB, text/plain)
2004-11-04 00:21 EST, Fritz Mockler
no flags Details
For Add. comment #8 (39.00 KB, text/plain)
2004-11-05 10:09 EST, Fritz Mockler
no flags Details
/proc/bus/input/devices (247 bytes, text/plain)
2004-11-13 02:02 EST, Fritz Mockler
no flags Details

  None (edit)
Description Fritz Mockler 2004-11-02 02:28:39 EST
Description of problem: No PS/2 mouse configures correctly causing X 
to fail.


Version-Release number of selected component (if applicable):
As packaged with FC2


How reproducible:


Steps to Reproduce:
1. run redhat-system-mouse or mouseconfig
2. (optional)  cd /dev; ln -s /dev/input/mice mouse
3. Xorg
  
Actual results:  Without step 2 above Xorg aborts as the xorg.conf
  file expects the mouse device at /dev/mouse. WIth stem 2 X hangs
(mouse not functioning)


Expected results: X working


Additional info:  /etc/sysconfig/mouse:

FILENAME  "GENERIC 3 BUTTON MOUSE PS/2"
MOUSETYPE "imps2"
XEMU3 "no"
XMOUSETYPE "IMPS/2"
DEVICE /dev/input/mice

SYSTEM:

motherboard:  Soyo P$X400 Dragen Ultra
graphics card:  ATI Mach64 3D RAGE II
moniter  Nokia 445pro
memory  256M DDR400
mice from Microsoft, HP and Logitek (same results)

Removing the hard drive and putting it on an older system enabled it 
to configure correctly

The original FC2 installation also failed on the above system and 
needed to be completed on the older system/motherboard (anaconda bug 
# 37400)

The configuration also failed to probe the on-board sound on the 
P4X400 Dragen Ultra motherboard which which the configuration 
utilities seem to have trouble communicating.
Comment 1 Paul Nasrat 2004-11-02 04:44:18 EST
Please attach individually and uncompressed xorg.conf, cat
/proc/bus/input/devices, as root running /usr/sbin/kudzu -p -b psaux

Also please run sytem-config-display --reconfig and attach the new
xorg.conf and test with that.  We should not be using /dev/mouse in
recent generated xorg.conf,  also was this an upgrade from FC1 or earlier?
Comment 2 Fritz Mockler 2004-11-03 02:02:38 EST
Created attachment 106113 [details]
from 'Xorg -configure'
Comment 3 Fritz Mockler 2004-11-03 02:03:40 EST
Created attachment 106114 [details]
left over from auto configuration
Comment 4 Fritz Mockler 2004-11-03 02:08:20 EST
The installation was new, not from FC1

The command 'system-config-display --reconfig' gave:

File /usr/share/system-config-display/xconf.py, line 412 in ?
  hardwere_state.merge_into(xconfig)
Name error name 'hardware_state' is not defined
Comment 5 Paul Nasrat 2004-11-03 03:57:23 EST
Please update to the latest s-c-display errata that fixed the error in
comment #4 and retry the reconfig command:

system-config-display-1.0.17-2

eg:

yum update system-config-display

Comment 6 Fritz Mockler 2004-11-04 00:21:10 EST
Created attachment 106147 [details]
Per Comment # 5
Comment 7 Paul Nasrat 2004-11-04 08:34:10 EST
Can you confirm the mouse working in that config - it is using
/dev/input/mice which is correct.

One option if you want to specifiy /dev/mouse instead is to setup a
udev rule for the symlink but /dev/mouse is deprecated with 2.6 and
I'm suprised your xorg.conf had it in.
Comment 8 Fritz Mockler 2004-11-05 10:09:26 EST
Created attachment 106218 [details]
For Add. comment #8

Xorg with the current configuration xorg.conf hangs before the mouse becomes
functional; or before the background loads. Resulting /var/log/xorg.0.log
attached
Comment 9 Paul Nasrat 2004-11-12 10:01:46 EST
Can you boot into runlevel 3 and start X with the configuration in
comment #6.  Are there any additional error messages on the console
after X hangs.
Comment 10 Fritz Mockler 2004-11-12 10:30:38 EST
When I do so X, the start screen and Gnome come up. Login is possible 
and Gnome starts.  But the mouse cursor remains frozen. No error 
messages are visible.
Comment 11 Paul Nasrat 2004-11-12 12:56:16 EST
Hmm, can you open up a terminal using the run Alt-F2 gnome-terminal
should work with no mouse.  Run: 

hexdump -C < /dev/input/mice

and move the mouse, then Ctrl-C.  Also please paste in the output of
cat/proc/bus/input/devices

Comment 12 Fritz Mockler 2004-11-13 02:02:58 EST
Created attachment 106637 [details]
/proc/bus/input/devices
Comment 13 Fritz Mockler 2004-11-13 02:04:53 EST
"hexdump -C < /dev/input/mice" with mouse movement generated no 
output.
Comment 14 Paul Nasrat 2004-11-15 08:46:41 EST
Looks like a kernel issue with the input layer.
Comment 15 Fritz Mockler 2004-11-16 23:06:44 EST
Should I report this as a kernel bug?
Comment 16 Fritz Mockler 2004-11-22 13:12:09 EST
A USB mouse works!
Comment 17 Dave Jones 2005-04-16 00:32:16 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.